Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class SubscriptionType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.subscription.common.bean.SubscriptionType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class SubscriptionType
    extends IdTitle

Описание вида подписки. Возможно здесь привязка к услуге (или к услуге по умолчанию)

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SubscriptionType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `ValueUnit` | `getDelay()` |
  `ValueUnit` | `getDuration()` |
  `PeriodWithTime` | `getNewRegistrationPeriod​(java.util.Date initDate)` |
  `Period` | `getPeriod()` |
  `ValueUnit` | `getRound()` |
  `int` | `getServiceId()` |
  `boolean` | `isAvtoCommit()` |
  `void` | `setAvtoCommit​(boolean avtoCommit)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDelay​(ValueUnit delay)` |
  `void` | `setDuration​(ValueUnit duration)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setRound​(ValueUnit round)` |
  `void` | `setServiceId​(int serviceId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SubscriptionType

    public SubscriptionType()

- ## Method Details

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getDuration

    public ValueUnit getDuration()

  - ### setDuration

    public void setDuration​(ValueUnit duration)

  - ### getDelay

    public ValueUnit getDelay()

  - ### setDelay

    public void setDelay​(ValueUnit delay)

  - ### getRound

    public ValueUnit getRound()

  - ### setRound

    public void setRound​(ValueUnit round)

  - ### isAvtoCommit

    public boolean isAvtoCommit()

  - ### setAvtoCommit

    public void setAvtoCommit​(boolean avtoCommit)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getNewRegistrationPeriod

    public PeriodWithTime getNewRegistrationPeriod​(java.util.Date initDate)